<div class="profile-view-container" >
  <div class="card">
      <form class="search-container" [formGroup]="search">
        <span class="search-title">Recherche</span>
        <div class="field">
          <label for="name" class="floating">Nom</label>
          <input
            id="name"
            name="name"
            formControlName="name">
        </div>
        <div class="field">
          <label for="job" class="floating">Métier</label>
          <input
            id="job"
            name="job"
            formControlName="job"
          >
        </div>
        <div class="field">
          <label for="job" class="floating">Localisation</label>
          <input
            id="location"
            name="location"
            formControlName="location"
          >
        </div>
        <div class="field">
          <mat-slide-toggle
            name="available"
            formControlName="available"
          >
            Disponible uniquement
          </mat-slide-toggle>
        </div>
      </form>
  </div>

  <div class="card">
    <table>
      <tbody>
        <tr>
          <th>Nom</th>
          <th>Metier</th>
          <th>Localization</th>
          <th>Disponiblité</th>
        </tr>
        <tr *ngFor="let profile of (profile$ | async)">
          <td>{{profile.name}}</td>
          <td>{{profile.job}}</td>
          <td>{{profile.location}}</td>
          <td>
              <div class="availability-badge" [ngClass]="profile.available ? 'available' : 'unavailable'">
                  {{profile.available ? 'Disponible' : 'Indisponible'}}
              </div>

          </td>
        </tr>
      </tbody>
    </table>
  </div>

</div>
